### Function

# GLib HookMarshaller

#### Declaration

    void
    (* GHookMarshaller) (
      GHook* hook,
      gpointer marshal_data
    )

#### Description [src]

Defines the type of function used by g_hook_list_marshal().

#### Parameters

`hook`

  Type: `GHook`

  A `GHook`.

  The data is owned by the caller of the function.

`marshal_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.